;PIC12F683 u[X

;            _____________
;  VDD 5V  =1;            ;8= 0V VSS
;     OSC  =2;(GP5)  (AN0);7= d
;     OSC  =3;(GP4)  (GP1);6= 8BEAT
;   4BEAT  =4;(GP3)  (PWM);5= Xs[J[@@@@@@@@@   @@
;            _____________@@@@@@@@@@@     
;  


	list      p=12f683	; |󎞂ɃXgt@C܂
	#include <p12f683.inc>	; 12F683p`t@Cǂݍ݂܂
	errorlevel  -302	; |󎞂302G[oȂ悤ɂ܂

	__CONFIG _CP_OFF & _CPD_OFF & _WDT_OFF & _MCLRE_OFF & _PWRTE_ON & _HS_OSC		

	radix	dec		; ȗ̐l\POiɂ܂B

	ORG	000H
	GOTO	INIT 

	ORG	004H
	GOTO	INT	



	DD		EQU	20H		;etO		
	MELO_PITCH	EQU	21H		;fB
	MELO_PITCH_CNT	EQU	22H		;fBe[uJEg
	MELO_HAKEI_CNT	EQU	23H		;fBg`e[uJEg		
;			EQU	24H 		;
    	BASS_PITCH	EQU	25H		;x[X
	BASS_PITCH_CNT	EQU	26H     	;x[Xe[uJEg	
	BASS_HAKEI_CNT	EQU	27H     	;x[Xg`e[uJEg
;			EQU	28H 		;
		
	W_TEMP		EQU 	70H 
	STATUS_TEMP	EQU	71H
	PCLATH_TEMP	EQU	72H
	OVFL_C		EQU	73H
	

		

							
							
;---- [` ----
INIT:



	BSF	STATUS,RP0			;BANK 1

	MOVLW   B'111011'			;0=AN0, 0=GP1, 2=GP2, 3=GP3, 4=GP4, 5=GP5
	MOVWF	TRISIO                      	; GPIO

	MOVLW   B'10000111'                 
	MOVWF	OPTION_REG 
                       		
	MOVLW	B'00000001'			;0_, 000=Fosc/2, AN3=X, AN2=X, AN1=X, AN0=
	MOVWF	ANSEL

;	MOVLW	B'01100000'			;0_, 110=4MHz, 0_, 0_, 0_, 0_, 
;	MOVWF	OSCCON

	MOVLW	D'15'
	MOVWF	PR2				;PWM

	MOVLW	B'00000010'			;TMR2-PR2 v荞݋tO 
	MOVWF	PIE1	

	BCF	STATUS,RP0			;BANK 0

	MOVLW	B'00000111'			;GP2,GP1,GP0,
	MOVWF	CMCON0

	MOVLW	B'00001100'			;
	MOVWF	CCP1CON				;PWM[h

	MOVLW	B'00000100'			;
	MOVWF	T2CON				;Timer2 ON ,vXP[:[1:1]
	
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	SOL	EQU	D'214'

	SIL	EQU	D'170'
	DO	EQU	D'160'
	DOS	EQU	D'151'
	RE	EQU	D'142'	;143
	RE_S	EQU	D'135'
	MI	EQU	D'128'	;127
	FA	EQU	D'120'
	FAS	EQU	D'113'
	SO	EQU	D'106'	;107
	SOS	EQU	D'101'
	RA	EQU	D'95'	
	RAS	EQU	D'90'
	SI	EQU	D'85'	
	DOH	EQU	D'80'
	DOSH	EQU	D'76'
	REH	EQU	D'71'
	RESH	EQU	D'67'
	MIH	EQU	D'64'
	FAH	EQU	D'60'
	FASH	EQU	D'57'
	SOH	EQU	D'53'
	SOSH	EQU	D'50'
	RAH	EQU	D'48'
	RASH	EQU	D'45'
	SIH	EQU	D'43'
	DOHH	EQU	D'40'
	DOSHH	EQU	D'37'
	REHH	EQU	D'36'
	RESHH	EQU	D'34'
	MIHH	EQU	D'32'
	FAHH	EQU	D'30'

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


	CLRF	DD	
	CLRF	MELO_PITCH		;fB	
	CLRF	MELO_PITCH_CNT		;fBe[uJEg	
	CLRF	MELO_HAKEI_CNT		;fBg`e[uJEg
	CLRF	BASS_PITCH		;x[X
	CLRF	BASS_PITCH_CNT		;fBe[uJEg			;	
	CLRF	BASS_HAKEI_CNT		;x[Xg`e[uJEg
;	CLRF				;

					
	MOVLW	D'1'		
	MOVWF	TMR0
	MOVLW	D'17'	;<<<<<<<<<<<<<<<<<<<e|	
	MOVWF	OVFL_C

	GOTO	MAIN
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


; ---- 荞݃[` ----
INT:

@@@@@@@
	MOVWF	W_TEMP
	MOVF	STATUS,W
	MOVWF	STATUS_TEMP
	MOVF	PCLATH,W
	MOVWF	PCLATH_TEMP

	BCF	INTCON,T0IF
	MOVLW	D'1'		
	MOVWF	TMR0
	DECFSZ	OVFL_C,F
	GOTO	INT_1

	MOVLW	D'17'	;<<<<<<<<<<<<<<<<<<<e|	
	MOVWF	OVFL_C	

	BSF	DD,0

INT_1
	MOVF	PCLATH_TEMP,W
	MOVWF	PCLATH
	MOVF	STATUS_TEMP,W
	MOVWF	STATUS
	SWAPF	W_TEMP,F
	SWAPF	W_TEMP,W
	RETFIE

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

MAIN
	BTFSS	GPIO,1
	GOTO	ROCK
	BTFSS	GPIO,3
	GOTO	SWING
	GOTO	MAIN

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

ROCK

	BCF	DD,1

	BSF	INTCON,T0IE			;^C}
	BSF	INTCON,GIE			;S̊

ROCK1

	CALL	C_MAIN
	CALL	C_MAIN
	CALL	F_MAIN
	CALL	C_MAIN
	CALL	G_MAIN
	CALL	F1_MAIN
	CALL	C1_MAIN

	CALL	C_MAIN
	CALL	C_MAIN
	CALL	F_MAIN
	CALL	C_MAIN
	CALL	G_MAIN
	CALL	F1_MAIN
	CALL	C1_MAIN

	CALL	Dm_MAIN
	CALL	G7_MAIN
	CALL	CM7_MAIN
	CALL	A7_MAIN
	CALL	Dm_MAIN
	CALL	G7_MAIN
	CALL	C1_MAIN

	GOTO	ROCK1

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

SWING

	BSF	DD,1

	BSF	INTCON,T0IE			;^C}
	BSF	INTCON,GIE			;S̊

SWING1

	CALL	C_MAIN
	CALL	C_MAIN
	CALL	F_MAIN
	CALL	C_MAIN
	CALL	G_MAIN
	CALL	F1_MAIN
	CALL	C_MAIN	
	CALL	Dm_MAIN
	CALL	G7_MAIN
	CALL	CM7_MAIN
	CALL	A7_MAIN
	CALL	Dm_MAIN
	CALL	G7_MAIN
	CALL	C1_MAIN

	GOTO	SWING1

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

C_MAIN	
	MOVLW	B'00000001'   			;0=El߂ŃZbg,0=ddd, 00_, 00=AN0
	MOVWF	ADCON0				;0=`^cϊ(GO/^DONE), 1=`^cϊ@\͗L

	CALL	ZIKANKASEGI
	CALL	ZIKANKASEGI
	CALL	ZIKANKASEGI

C_MAIN00
	BSF	ADCON0,GO			;0=`^cϊJn(GO)

C_MAIN1
	BTFSC	ADCON0,GO
	GOTO	C_MAIN1				;ϊ	
	GOTO	C_MAIN2				;ϊ	

C_MAIN2

	MOVF	ADRESH,W			
	MOVWF	MELO_PITCH_CNT			;MELO_PITCH_CNT֑	

	CALL 	C_TABLE_MELO_PITCH		;fB
	MOVWF	MELO_PITCH			;fB

	GOTO	C_RHY1_1

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

C_RHY1

	BTFSS	DD,1
	GOTO	C_RHY1_R
	GOTO	C_RHY1_S

C_RHY1_R
	CALL	C_TABLE_BASS_PITCH		;x[Xe[u	
	MOVWF	BASS_PITCH			;x[X
	GOTO	C_RHY1_1

C_RHY1_S
	CALL	C_TABLE_BASS_PITCH_S		;x[Xe[u SWING	
	MOVWF	BASS_PITCH			;x[X
	GOTO	C_RHY1_1

C_RHY1_1
	BTFSS	PIR1,TMR2IF			;PWMϊ
	GOTO	C_RHY1_1				;
	BCF	PIR1,TMR2IF			;

	CALL	TABLE_MELO_HAKEI		;fBg`e[u
	MOVWF	CCPR1L				;PWM

	DECFSZ	MELO_PITCH,F			;fB
	GOTO	C_RHY1_2

	CALL 	C_TABLE_MELO_PITCH		;fBe[u	
	MOVWF	MELO_PITCH			;fB

	INCF	MELO_HAKEI_CNT,F		;fBg`e[uJEg

	MOVLW	D'5'				;<<<<<<<<f[^
	SUBWF	MELO_HAKEI_CNT,W		;fBg`e[uJEg

	BTFSS	STATUS,C
	GOTO	C_RHY1_1
	CLRF	MELO_HAKEI_CNT			;fBg`e[uJEg

	GOTO	C_RHY1_1

C_RHY1_2

	BTFSS	PIR1,TMR2IF
	GOTO	C_RHY1_2
	BCF	PIR1,TMR2IF

	CALL 	TABLE_BASS_HAKEI		;x[Xg`e[u
	MOVWF	CCPR1L	
	
	DECFSZ	BASS_PITCH,F			;x[X
	GOTO	C_RHY1_1

	BTFSS	DD,1
	GOTO	C_RHY1_2_R
	GOTO	C_RHY1_2_S

C_RHY1_2_R
	CALL	C_TABLE_BASS_PITCH		;x[Xe[u	
	MOVWF	BASS_PITCH			;x[X
	GOTO	C_RHY1_2_2

C_RHY1_2_S
	CALL	C_TABLE_BASS_PITCH_S		;x[Xe[u SWING	
	MOVWF	BASS_PITCH			;x[X
	GOTO	C_RHY1_2_2

C_RHY1_2_2

	INCF	BASS_HAKEI_CNT,F		;x[Xg`e[uJEg

	MOVLW	D'5'		;<<<<<<<<f[^
	SUBWF	BASS_HAKEI_CNT,W		;x[Xg`e[uJEg
	BTFSS	STATUS,C
	GOTO	C_RHY1_2
	CLRF	BASS_HAKEI_CNT			;x[Xg`e[uJEg

	BTFSS	DD,0
	GOTO	C_RHY1_2

C_RHY1_3
	INCF	BASS_PITCH_CNT,F		;x[Xe[uJEg
	BCF	DD,0

	BTFSS	DD,1
	GOTO	C_RHY1_3_R
	GOTO	C_RHY1_3_S

C_RHY1_3_R
	MOVLW	D'16'		 		;<<<<<<<<f[^
	SUBWF	BASS_PITCH_CNT,W		;x[Xe[uJEg
	GOTO	C_RHY2

C_RHY1_3_S
	MOVLW	D'24'		 		;<<<<<<<<f[^
	SUBWF	BASS_PITCH_CNT,W		;x[Xe[uJEg SWING
	GOTO	C_RHY2

C_RHY2
	BTFSS	STATUS,C
	GOTO	C_MAIN	
	CLRF	BASS_PITCH_CNT			;x[Xe[uJEg

	RETURN	

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

F_MAIN	
	MOVLW	B'00000001'   			;0=El߂ŃZbg,0=ddd, 00_, 00=AN0
	MOVWF	ADCON0				;0=`^cϊ(GO/^DONE), 1=`^cϊ@\͗L

	CALL	ZIKANKASEGI
	CALL	ZIKANKASEGI
	CALL	ZIKANKASEGI

F_MAIN00
	BSF	ADCON0,GO			;0=`^cϊJn(GO)

F_MAIN1
	BTFSC	ADCON0,GO
	GOTO	F_MAIN1				;ϊ	
	GOTO	F_MAIN2				;ϊ	

F_MAIN2

	MOVF	ADRESH,W			
	MOVWF	MELO_PITCH_CNT			;MELO_PITCH_CNT֑	

	CALL 	F_TABLE_MELO_PITCH		;fB
	MOVWF	MELO_PITCH			;fB

	GOTO	F_RHY1_1

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

F_RHY1

	BTFSS	DD,1
	GOTO	C_RHY1_R
	GOTO	C_RHY1_S

F_RHY1_R
	CALL	F_TABLE_BASS_PITCH		;x[Xe[u	
	MOVWF	BASS_PITCH			;x[X
	GOTO	F_RHY1_1

F_RHY1_S
	CALL	F_TABLE_BASS_PITCH_S		;x[Xe[u SWING	
	MOVWF	BASS_PITCH			;x[X
	GOTO	F_RHY1_1

F_RHY1_1
	BTFSS	PIR1,TMR2IF			;PWMϊ
	GOTO	F_RHY1_1				;
	BCF	PIR1,TMR2IF			;

	CALL	TABLE_MELO_HAKEI		;fBg`e[u
	MOVWF	CCPR1L				;PWM

	DECFSZ	MELO_PITCH,F			;fB
	GOTO	F_RHY1_2

	CALL 	F_TABLE_MELO_PITCH		;fBe[u	
	MOVWF	MELO_PITCH			;fB

	INCF	MELO_HAKEI_CNT,F		;fBg`e[uJEg

	MOVLW	D'5'				;<<<<<<<<f[^
	SUBWF	MELO_HAKEI_CNT,W		;fBg`e[uJEg

	BTFSS	STATUS,C
	GOTO	F_RHY1_1
	CLRF	MELO_HAKEI_CNT			;fBg`e[uJEg

	GOTO	F_RHY1_1

F_RHY1_2

	BTFSS	PIR1,TMR2IF
	GOTO	F_RHY1_2
	BCF	PIR1,TMR2IF

	CALL 	TABLE_BASS_HAKEI		;x[Xg`e[u
	MOVWF	CCPR1L	
	
	DECFSZ	BASS_PITCH,F			;x[X
	GOTO	F_RHY1_1

	BTFSS	DD,1
	GOTO	F_RHY1_2_R
	GOTO	F_RHY1_2_S

F_RHY1_2_R
	CALL	F_TABLE_BASS_PITCH		;x[Xe[u	
	MOVWF	BASS_PITCH			;x[X
	GOTO	F_RHY1_2_2

F_RHY1_2_S
	CALL	F_TABLE_BASS_PITCH_S		;x[Xe[u SWING	
	MOVWF	BASS_PITCH			;x[X
	GOTO	F_RHY1_2_2

F_RHY1_2_2

	INCF	BASS_HAKEI_CNT,F		;x[Xg`e[uJEg

	MOVLW	D'5'		;<<<<<<<<f[^
	SUBWF	BASS_HAKEI_CNT,W		;x[Xg`e[uJEg
	BTFSS	STATUS,C
	GOTO	F_RHY1_2
	CLRF	BASS_HAKEI_CNT			;x[Xg`e[uJEg

	BTFSS	DD,0
	GOTO	F_RHY1_2

F_RHY1_3
	INCF	BASS_PITCH_CNT,F		;x[Xe[uJEg
	BCF	DD,0

	BTFSS	DD,1
	GOTO	F_RHY1_3_R
	GOTO	F_RHY1_3_S

F_RHY1_3_R
	MOVLW	D'16'		 		;<<<<<<<<f[^
	SUBWF	BASS_PITCH_CNT,W		;x[Xe[uJEg
	GOTO	F_RHY2

F_RHY1_3_S
	MOVLW	D'24'		 		;<<<<<<<<f[^
	SUBWF	BASS_PITCH_CNT,W		;x[Xe[uJEg SWING
	GOTO	F_RHY2

F_RHY2
	BTFSS	STATUS,C
	GOTO	F_MAIN	
	CLRF	BASS_PITCH_CNT			;x[Xe[uJEg

	RETURN	

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

G_MAIN	
	MOVLW	B'00000001'   			;0=El߂ŃZbg,0=ddd, 00_, 00=AN0
	MOVWF	ADCON0				;0=`^cϊ(GO/^DONE), 1=`^cϊ@\͗L

	CALL	ZIKANKASEGI
	CALL	ZIKANKASEGI
	CALL	ZIKANKASEGI

G_MAIN00
	BSF	ADCON0,GO			;0=`^cϊJn(GO)

G_MAIN1
	BTFSC	ADCON0,GO
	GOTO	G_MAIN1				;ϊ	
	GOTO	G_MAIN2				;ϊ	

G_MAIN2

	MOVF	ADRESH,W			
	MOVWF	MELO_PITCH_CNT			;MELO_PITCH_CNT֑	

	CALL 	G_TABLE_MELO_PITCH		;fB
	MOVWF	MELO_PITCH			;fB

	GOTO	G_RHY1_1

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

G_RHY1

	BTFSS	DD,1
	GOTO	G_RHY1_R
	GOTO	G_RHY1_S

G_RHY1_R
	CALL	G_TABLE_BASS_PITCH		;x[Xe[u	
	MOVWF	BASS_PITCH			;x[X
	GOTO	G_RHY1_1

G_RHY1_S
	CALL	C_TABLE_BASS_PITCH_S		;x[Xe[u SWING	
	MOVWF	BASS_PITCH			;x[X
	GOTO	G_RHY1_1

G_RHY1_1
	BTFSS	PIR1,TMR2IF			;PWMϊ
	GOTO	G_RHY1_1				;
	BCF	PIR1,TMR2IF			;

	CALL	TABLE_MELO_HAKEI		;fBg`e[u
	MOVWF	CCPR1L				;PWM

	DECFSZ	MELO_PITCH,F			;fB
	GOTO	G_RHY1_2

	CALL 	G_TABLE_MELO_PITCH		;fBe[u	
	MOVWF	MELO_PITCH			;fB

	INCF	MELO_HAKEI_CNT,F		;fBg`e[uJEg

	MOVLW	D'5'				;<<<<<<<<f[^
	SUBWF	MELO_HAKEI_CNT,W		;fBg`e[uJEg

	BTFSS	STATUS,C
	GOTO	G_RHY1_1
	CLRF	MELO_HAKEI_CNT			;fBg`e[uJEg

	GOTO	G_RHY1_1

G_RHY1_2

	BTFSS	PIR1,TMR2IF
	GOTO	G_RHY1_2
	BCF	PIR1,TMR2IF

	CALL 	TABLE_BASS_HAKEI		;x[Xg`e[u
	MOVWF	CCPR1L	
	
	DECFSZ	BASS_PITCH,F			;x[X
	GOTO	G_RHY1_1

	BTFSS	DD,1
	GOTO	G_RHY1_2_R
	GOTO	G_RHY1_2_S

G_RHY1_2_R
	CALL	G_TABLE_BASS_PITCH		;x[Xe[u	
	MOVWF	BASS_PITCH			;x[X
	GOTO	G_RHY1_2_2

G_RHY1_2_S
	CALL	G_TABLE_BASS_PITCH_S		;x[Xe[u SWING	
	MOVWF	BASS_PITCH			;x[X
	GOTO	G_RHY1_2_2

G_RHY1_2_2

	INCF	BASS_HAKEI_CNT,F		;x[Xg`e[uJEg

	MOVLW	D'5'		;<<<<<<<<f[^
	SUBWF	BASS_HAKEI_CNT,W		;x[Xg`e[uJEg
	BTFSS	STATUS,C
	GOTO	G_RHY1_2
	CLRF	BASS_HAKEI_CNT			;x[Xg`e[uJEg

	BTFSS	DD,0
	GOTO	G_RHY1_2

G_RHY1_3
	INCF	BASS_PITCH_CNT,F		;x[Xe[uJEg
	BCF	DD,0

	BTFSS	DD,1
	GOTO	G_RHY1_3_R
	GOTO	G_RHY1_3_S

G_RHY1_3_R
	MOVLW	D'8'		 		;<<<<<<<<f[^
	SUBWF	BASS_PITCH_CNT,W		;x[Xe[uJEg
	GOTO	G_RHY2

G_RHY1_3_S
	MOVLW	D'12'		 		;<<<<<<<<f[^
	SUBWF	BASS_PITCH_CNT,W		;x[Xe[uJEg SWING
	GOTO	G_RHY2

G_RHY2
	BTFSS	STATUS,C
	GOTO	G_MAIN	
	CLRF	BASS_PITCH_CNT			;x[Xe[uJEg

	RETURN	

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

F1_MAIN	
	MOVLW	B'00000001'   			;0=El߂ŃZbg,0=ddd, 00_, 00=AN0
	MOVWF	ADCON0				;0=`^cϊ(GO/^DONE), 1=`^cϊ@\͗L

	CALL	ZIKANKASEGI
	CALL	ZIKANKASEGI
	CALL	ZIKANKASEGI

F1_MAIN00
	BSF	ADCON0,GO			;0=`^cϊJn(GO)

F1_MAIN1
	BTFSC	ADCON0,GO
	GOTO	F1_MAIN1				;ϊ	
	GOTO	F1_MAIN2				;ϊ	

F1_MAIN2

	MOVF	ADRESH,W			
	MOVWF	MELO_PITCH_CNT			;MELO_PITCH_CNT֑	

	CALL 	F_TABLE_MELO_PITCH		;fB
	MOVWF	MELO_PITCH			;fB

	GOTO	F1_RHY1_1
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

F1_RHY1

	BTFSS	DD,1
	GOTO	F1_RHY1_R
	GOTO	F1_RHY1_S

F1_RHY1_R
	CALL	F1_TABLE_BASS_PITCH		;x[Xe[u	
	MOVWF	BASS_PITCH			;x[X
	GOTO	F1_RHY1_1

F1_RHY1_S
	CALL	F1_TABLE_BASS_PITCH_S		;x[Xe[u SWING	
	MOVWF	BASS_PITCH			;x[X
	GOTO	F1_RHY1_1

F1_RHY1_1
	BTFSS	PIR1,TMR2IF			;PWMϊ
	GOTO	F1_RHY1_1				;
	BCF	PIR1,TMR2IF			;

	CALL	TABLE_MELO_HAKEI		;fBg`e[u
	MOVWF	CCPR1L				;PWM

	DECFSZ	MELO_PITCH,F			;fB
	GOTO	F1_RHY1_2

	CALL 	F_TABLE_MELO_PITCH		;fBe[u	
	MOVWF	MELO_PITCH			;fB

	INCF	MELO_HAKEI_CNT,F		;fBg`e[uJEg

	MOVLW	D'5'				;<<<<<<<<f[^
	SUBWF	MELO_HAKEI_CNT,W		;fBg`e[uJEg

	BTFSS	STATUS,C
	GOTO	F1_RHY1_1
	CLRF	MELO_HAKEI_CNT			;fBg`e[uJEg

	GOTO	F1_RHY1_1

F1_RHY1_2

	BTFSS	PIR1,TMR2IF
	GOTO	F1_RHY1_2
	BCF	PIR1,TMR2IF

	CALL 	TABLE_BASS_HAKEI		;x[Xg`e[u
	MOVWF	CCPR1L	
	
	DECFSZ	BASS_PITCH,F			;x[X
	GOTO	F1_RHY1_1

	BTFSS	DD,1
	GOTO	F1_RHY1_2_R
	GOTO	F1_RHY1_2_S

F1_RHY1_2_R
	CALL	F1_TABLE_BASS_PITCH		;x[Xe[u	
	MOVWF	BASS_PITCH			;x[X
	GOTO	F1_RHY1_2_2

F1_RHY1_2_S
	CALL	F1_TABLE_BASS_PITCH_S		;x[Xe[u SWING	
	MOVWF	BASS_PITCH			;x[X
	GOTO	F1_RHY1_2_2

F1_RHY1_2_2

	INCF	BASS_HAKEI_CNT,F		;x[Xg`e[uJEg

	MOVLW	D'5'		;<<<<<<<<f[^
	SUBWF	BASS_HAKEI_CNT,W		;x[Xg`e[uJEg
	BTFSS	STATUS,C
	GOTO	F1_RHY1_2
	CLRF	BASS_HAKEI_CNT			;x[Xg`e[uJEg

	BTFSS	DD,0
	GOTO	F1_RHY1_2

F1_RHY1_3
	INCF	BASS_PITCH_CNT,F		;x[Xe[uJEg
	BCF	DD,0

	BTFSS	DD,1
	GOTO	F1_RHY1_3_R
	GOTO	F1_RHY1_3_S

F1_RHY1_3_R
	MOVLW	D'8'		 		;<<<<<<<<f[^
	SUBWF	BASS_PITCH_CNT,W		;x[Xe[uJEg
	GOTO	F1_RHY2

F1_RHY1_3_S
	MOVLW	D'12'		 		;<<<<<<<<f[^
	SUBWF	BASS_PITCH_CNT,W		;x[Xe[uJEg SWING
	GOTO	F1_RHY2

F1_RHY2
	BTFSS	STATUS,C
	GOTO	F1_MAIN	
	CLRF	BASS_PITCH_CNT			;x[Xe[uJEg

;	CALL	F1_TABLE_BASS_PITCH		;x[Xe[u	
;	MOVWF	BASS_PITCH			;x[X

	RETURN	

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

C1_MAIN	
	MOVLW	B'00000001'   			;0=El߂ŃZbg,0=ddd, 00_, 00=AN0
	MOVWF	ADCON0				;0=`^cϊ(GO/^DONE), 1=`^cϊ@\͗L

	CALL	ZIKANKASEGI
	CALL	ZIKANKASEGI
	CALL	ZIKANKASEGI

C1_MAIN00
	BSF	ADCON0,GO			;0=`^cϊJn(GO)

C1_MAIN1
	BTFSC	ADCON0,GO
	GOTO	C1_MAIN1				;ϊ	
	GOTO	C1_MAIN2				;ϊ	

C1_MAIN2

	MOVF	ADRESH,W			
	MOVWF	MELO_PITCH_CNT			;MELO_PITCH_CNT֑	

	CALL 	C_TABLE_MELO_PITCH		;fB
	MOVWF	MELO_PITCH			;fB

	GOTO	C1_RHY1_1
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

C1_RHY1

	BTFSS	DD,1
	GOTO	C1_RHY1_R
	GOTO	C1_RHY1_S

C1_RHY1_R
	CALL	C1_TABLE_BASS_PITCH		;x[Xe[u	
	MOVWF	BASS_PITCH			;x[X
	GOTO	C1_RHY1_1

C1_RHY1_S
	CALL	C1_TABLE_BASS_PITCH_S		;x[Xe[u SWING	
	MOVWF	BASS_PITCH			;x[X
	GOTO	C1_RHY1_1

C1_RHY1_1
	BTFSS	PIR1,TMR2IF			;PWMϊ
	GOTO	C1_RHY1_1				;
	BCF	PIR1,TMR2IF			;

	CALL	TABLE_MELO_HAKEI		;fBg`e[u
	MOVWF	CCPR1L				;PWM

	DECFSZ	MELO_PITCH,F			;fB
	GOTO	C1_RHY1_2

	CALL 	C_TABLE_MELO_PITCH		;fBe[u	
	MOVWF	MELO_PITCH			;fB

	INCF	MELO_HAKEI_CNT,F		;fBg`e[uJEg

	MOVLW	D'5'				;<<<<<<<<f[^
	SUBWF	MELO_HAKEI_CNT,W		;fBg`e[uJEg

	BTFSS	STATUS,C
	GOTO	C1_RHY1_1
	CLRF	MELO_HAKEI_CNT			;fBg`e[uJEg

	GOTO	C1_RHY1_1

C1_RHY1_2

	BTFSS	PIR1,TMR2IF
	GOTO	C1_RHY1_2
	BCF	PIR1,TMR2IF

	CALL 	TABLE_BASS_HAKEI		;x[Xg`e[u
	MOVWF	CCPR1L	
	
	DECFSZ	BASS_PITCH,F			;x[X
	GOTO	C1_RHY1_1

	BTFSS	DD,1
	GOTO	C1_RHY1_2_R
	GOTO	C1_RHY1_2_S

C1_RHY1_2_R
	CALL	C1_TABLE_BASS_PITCH		;x[Xe[u	
	MOVWF	BASS_PITCH			;x[X
	GOTO	C1_RHY1_2_2

C1_RHY1_2_S
	CALL	C1_TABLE_BASS_PITCH_S		;x[Xe[u SWING	
	MOVWF	BASS_PITCH			;x[X
	GOTO	C1_RHY1_2_2

C1_RHY1_2_2

	INCF	BASS_HAKEI_CNT,F		;x[Xg`e[uJEg

	MOVLW	D'5'		;<<<<<<<<f[^
	SUBWF	BASS_HAKEI_CNT,W		;x[Xg`e[uJEg
	BTFSS	STATUS,C
	GOTO	C1_RHY1_2
	CLRF	BASS_HAKEI_CNT			;x[Xg`e[uJEg

	BTFSS	DD,0
	GOTO	C1_RHY1_2

C1_RHY1_3
	INCF	BASS_PITCH_CNT,F		;x[Xe[uJEg
	BCF	DD,0

	BTFSS	DD,1
	GOTO	C1_RHY1_3_R
	GOTO	C1_RHY1_3_S

C1_RHY1_3_R
	MOVLW	D'16'		 		;<<<<<<<<f[^
	SUBWF	BASS_PITCH_CNT,W		;x[Xe[uJEg
	GOTO	C1_RHY2

C1_RHY1_3_S
	MOVLW	D'24'		 		;<<<<<<<<f[^
	SUBWF	BASS_PITCH_CNT,W		;x[Xe[uJEg SWING
	GOTO	C1_RHY2

C1_RHY2
	BTFSS	STATUS,C
	GOTO	C1_MAIN	
	CLRF	BASS_PITCH_CNT			;x[Xe[uJEg

	CALL	C1_TABLE_BASS_PITCH		;x[Xe[u	
	MOVWF	BASS_PITCH			;x[X

	RETURN	

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

Dm_MAIN	
	MOVLW	B'00000001'   			;0=El߂ŃZbg,0=ddd, 00_, 00=AN0
	MOVWF	ADCON0				;0=`^cϊ(GO/^DONE), 1=`^cϊ@\͗L

	CALL	ZIKANKASEGI
	CALL	ZIKANKASEGI
	CALL	ZIKANKASEGI

Dm_MAIN00
	BSF	ADCON0,GO			;0=`^cϊJn(GO)

Dm_MAIN1
	BTFSC	ADCON0,GO
	GOTO	Dm_MAIN1				;ϊ	
	GOTO	Dm_MAIN2				;ϊ	

Dm_MAIN2

	MOVF	ADRESH,W			
	MOVWF	MELO_PITCH_CNT			;MELO_PITCH_CNT֑	

	CALL 	Dm_TABLE_MELO_PITCH		;fB
	MOVWF	MELO_PITCH			;fB

	GOTO	Dm_RHY1_1
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

Dm_RHY1

	BTFSS	DD,1
	GOTO	Dm_RHY1_R
	GOTO	Dm_RHY1_S

Dm_RHY1_R
	CALL	Dm_TABLE_BASS_PITCH		;x[Xe[u	
	MOVWF	BASS_PITCH			;x[X
	GOTO	Dm_RHY1_1

Dm_RHY1_S
	CALL	Dm_TABLE_BASS_PITCH_S		;x[Xe[u SWING	
	MOVWF	BASS_PITCH			;x[X
	GOTO	Dm_RHY1_1

Dm_RHY1_1
	BTFSS	PIR1,TMR2IF			;PWMϊ
	GOTO	Dm_RHY1_1				;
	BCF	PIR1,TMR2IF			;

	CALL	TABLE_MELO_HAKEI		;fBg`e[u
	MOVWF	CCPR1L				;PWM

	DECFSZ	MELO_PITCH,F			;fB
	GOTO	Dm_RHY1_2

	CALL 	Dm_TABLE_MELO_PITCH		;fBe[u	
	MOVWF	MELO_PITCH			;fB

	INCF	MELO_HAKEI_CNT,F		;fBg`e[uJEg

	MOVLW	D'5'				;<<<<<<<<f[^
	SUBWF	MELO_HAKEI_CNT,W		;fBg`e[uJEg

	BTFSS	STATUS,C
	GOTO	Dm_RHY1_1
	CLRF	MELO_HAKEI_CNT			;fBg`e[uJEg

	GOTO	Dm_RHY1_1

Dm_RHY1_2

	BTFSS	PIR1,TMR2IF
	GOTO	Dm_RHY1_2
	BCF	PIR1,TMR2IF

	CALL 	TABLE_BASS_HAKEI		;x[Xg`e[u
	MOVWF	CCPR1L	
	
	DECFSZ	BASS_PITCH,F			;x[X
	GOTO	Dm_RHY1_1

	BTFSS	DD,1
	GOTO	Dm_RHY1_2_R
	GOTO	Dm_RHY1_2_S

Dm_RHY1_2_R
	CALL	Dm_TABLE_BASS_PITCH		;x[Xe[u	
	MOVWF	BASS_PITCH			;x[X
	GOTO	Dm_RHY1_2_2

Dm_RHY1_2_S
	CALL	Dm_TABLE_BASS_PITCH_S		;x[Xe[u SWING	
	MOVWF	BASS_PITCH			;x[X
	GOTO	Dm_RHY1_2_2

Dm_RHY1_2_2

	INCF	BASS_HAKEI_CNT,F		;x[Xg`e[uJEg

	MOVLW	D'5'		;<<<<<<<<f[^
	SUBWF	BASS_HAKEI_CNT,W		;x[Xg`e[uJEg
	BTFSS	STATUS,C
	GOTO	Dm_RHY1_2
	CLRF	BASS_HAKEI_CNT			;x[Xg`e[uJEg

	BTFSS	DD,0
	GOTO	Dm_RHY1_2

Dm_RHY1_3
	INCF	BASS_PITCH_CNT,F		;x[Xe[uJEg
	BCF	DD,0

	BTFSS	DD,1
	GOTO	Dm_RHY1_3_R
	GOTO	Dm_RHY1_3_S

Dm_RHY1_3_R
	MOVLW	D'8'		 		;<<<<<<<<f[^
	SUBWF	BASS_PITCH_CNT,W		;x[Xe[uJEg
	GOTO	Dm_RHY2

Dm_RHY1_3_S
	MOVLW	D'12'		 		;<<<<<<<<f[^
	SUBWF	BASS_PITCH_CNT,W		;x[Xe[uJEg SWING
	GOTO	Dm_RHY2

Dm_RHY2
	BTFSS	STATUS,C
	GOTO	Dm_MAIN	
	CLRF	BASS_PITCH_CNT			;x[Xe[uJEg

	CALL	Dm_TABLE_BASS_PITCH		;x[Xe[u	
	MOVWF	BASS_PITCH			;x[X

	RETURN	

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

G7_MAIN	
	MOVLW	B'00000001'   			;0=El߂ŃZbg,0=ddd, 00_, 00=AN0
	MOVWF	ADCON0				;0=`^cϊ(GO/^DONE), 1=`^cϊ@\͗L

	CALL	ZIKANKASEGI
	CALL	ZIKANKASEGI
	CALL	ZIKANKASEGI

G7_MAIN00
	BSF	ADCON0,GO			;0=`^cϊJn(GO)

G7_MAIN1
	BTFSC	ADCON0,GO
	GOTO	G7_MAIN1				;ϊ	
	GOTO	G7_MAIN2				;ϊ	

G7_MAIN2

	MOVF	ADRESH,W			
	MOVWF	MELO_PITCH_CNT			;MELO_PITCH_CNT֑	

	CALL 	G7_TABLE_MELO_PITCH		;fB
	MOVWF	MELO_PITCH			;fB

	GOTO	G7_RHY1_1
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

G7_RHY1

	BTFSS	DD,1
	GOTO	G7_RHY1_R
	GOTO	G7_RHY1_S

G7_RHY1_R
	CALL	G7_TABLE_BASS_PITCH		;x[Xe[u	
	MOVWF	BASS_PITCH			;x[X
	GOTO	G7_RHY1_1

G7_RHY1_S
	CALL	G7_TABLE_BASS_PITCH_S		;x[Xe[u SWING	
	MOVWF	BASS_PITCH			;x[X
	GOTO	G7_RHY1_1

G7_RHY1_1
	BTFSS	PIR1,TMR2IF			;PWMϊ
	GOTO	G7_RHY1_1				;
	BCF	PIR1,TMR2IF			;

	CALL	TABLE_MELO_HAKEI		;fBg`e[u
	MOVWF	CCPR1L				;PWM

	DECFSZ	MELO_PITCH,F			;fB
	GOTO	G7_RHY1_2

	CALL 	G7_TABLE_MELO_PITCH		;fBe[u	
	MOVWF	MELO_PITCH			;fB

	INCF	MELO_HAKEI_CNT,F		;fBg`e[uJEg

	MOVLW	D'5'				;<<<<<<<<f[^
	SUBWF	MELO_HAKEI_CNT,W		;fBg`e[uJEg

	BTFSS	STATUS,C
	GOTO	G7_RHY1_1
	CLRF	MELO_HAKEI_CNT			;fBg`e[uJEg

	GOTO	G7_RHY1_1

G7_RHY1_2

	BTFSS	PIR1,TMR2IF
	GOTO	G7_RHY1_2
	BCF	PIR1,TMR2IF

	CALL 	TABLE_BASS_HAKEI		;x[Xg`e[u
	MOVWF	CCPR1L	
	
	DECFSZ	BASS_PITCH,F			;x[X
	GOTO	G7_RHY1_1

	BTFSS	DD,1
	GOTO	G7_RHY1_2_R
	GOTO	G7_RHY1_2_S

G7_RHY1_2_R
	CALL	G7_TABLE_BASS_PITCH		;x[Xe[u	
	MOVWF	BASS_PITCH			;x[X
	GOTO	G7_RHY1_2_2

G7_RHY1_2_S
	CALL	G7_TABLE_BASS_PITCH_S		;x[Xe[u SWING	
	MOVWF	BASS_PITCH			;x[X
	GOTO	G7_RHY1_2_2

G7_RHY1_2_2

	INCF	BASS_HAKEI_CNT,F		;x[Xg`e[uJEg

	MOVLW	D'5'		;<<<<<<<<f[^
	SUBWF	BASS_HAKEI_CNT,W		;x[Xg`e[uJEg
	BTFSS	STATUS,C
	GOTO	G7_RHY1_2
	CLRF	BASS_HAKEI_CNT			;x[Xg`e[uJEg

	BTFSS	DD,0
	GOTO	G7_RHY1_2

G7_RHY1_3
	INCF	BASS_PITCH_CNT,F		;x[Xe[uJEg
	BCF	DD,0

	BTFSS	DD,1
	GOTO	G7_RHY1_3_R
	GOTO	G7_RHY1_3_S

G7_RHY1_3_R
	MOVLW	D'8'		 		;<<<<<<<<f[^
	SUBWF	BASS_PITCH_CNT,W		;x[Xe[uJEg
	GOTO	G7_RHY2

G7_RHY1_3_S
	MOVLW	D'12'		 		;<<<<<<<<f[^
	SUBWF	BASS_PITCH_CNT,W		;x[Xe[uJEg SWING
	GOTO	G7_RHY2

G7_RHY2
	BTFSS	STATUS,C
	GOTO	G7_MAIN	
	CLRF	BASS_PITCH_CNT			;x[Xe[uJEg

	CALL	G7_TABLE_BASS_PITCH		;x[Xe[u	
	MOVWF	BASS_PITCH			;x[X

	RETURN	

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

CM7_MAIN	
	MOVLW	B'00000001'   			;0=El߂ŃZbg,0=ddd, 00_, 00=AN0
	MOVWF	ADCON0				;0=`^cϊ(GO/^DONE), 1=`^cϊ@\͗L

	CALL	ZIKANKASEGI
	CALL	ZIKANKASEGI
	CALL	ZIKANKASEGI

CM7_MAIN00
	BSF	ADCON0,GO			;0=`^cϊJn(GO)

CM7_MAIN1
	BTFSC	ADCON0,GO
	GOTO	CM7_MAIN1				;ϊ	
	GOTO	CM7_MAIN2				;ϊ	

CM7_MAIN2

	MOVF	ADRESH,W			
	MOVWF	MELO_PITCH_CNT			;MELO_PITCH_CNT֑	

	CALL 	CM7_TABLE_MELO_PITCH		;fB
	MOVWF	MELO_PITCH			;fB

	GOTO	CM7_RHY1_1
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

CM7_RHY1

	BTFSS	DD,1
	GOTO	CM7_RHY1_R
	GOTO	CM7_RHY1_S

CM7_RHY1_R
	CALL	CM7_TABLE_BASS_PITCH		;x[Xe[u	
	MOVWF	BASS_PITCH			;x[X
	GOTO	CM7_RHY1_1

CM7_RHY1_S
	CALL	CM7_TABLE_BASS_PITCH_S		;x[Xe[u SWING	
	MOVWF	BASS_PITCH			;x[X
	GOTO	CM7_RHY1_1

CM7_RHY1_1
	BTFSS	PIR1,TMR2IF			;PWMϊ
	GOTO	CM7_RHY1_1				;
	BCF	PIR1,TMR2IF			;

	CALL	TABLE_MELO_HAKEI		;fBg`e[u
	MOVWF	CCPR1L				;PWM

	DECFSZ	MELO_PITCH,F			;fB
	GOTO	CM7_RHY1_2

	CALL 	CM7_TABLE_MELO_PITCH		;fBe[u	
	MOVWF	MELO_PITCH			;fB

	INCF	MELO_HAKEI_CNT,F		;fBg`e[uJEg

	MOVLW	D'5'				;<<<<<<<<f[^
	SUBWF	MELO_HAKEI_CNT,W		;fBg`e[uJEg

	BTFSS	STATUS,C
	GOTO	CM7_RHY1_1
	CLRF	MELO_HAKEI_CNT			;fBg`e[uJEg

	GOTO	CM7_RHY1_1

CM7_RHY1_2

	BTFSS	PIR1,TMR2IF
	GOTO	CM7_RHY1_2
	BCF	PIR1,TMR2IF

	CALL 	TABLE_BASS_HAKEI		;x[Xg`e[u
	MOVWF	CCPR1L	
	
	DECFSZ	BASS_PITCH,F			;x[X
	GOTO	CM7_RHY1_1

	BTFSS	DD,1
	GOTO	CM7_RHY1_2_R
	GOTO	CM7_RHY1_2_S

CM7_RHY1_2_R
	CALL	CM7_TABLE_BASS_PITCH		;x[Xe[u	
	MOVWF	BASS_PITCH			;x[X
	GOTO	CM7_RHY1_2_2

CM7_RHY1_2_S
	CALL	CM7_TABLE_BASS_PITCH_S		;x[Xe[u SWING	
	MOVWF	BASS_PITCH			;x[X
	GOTO	CM7_RHY1_2_2

CM7_RHY1_2_2

	INCF	BASS_HAKEI_CNT,F		;x[Xg`e[uJEg

	MOVLW	D'5'		;<<<<<<<<f[^
	SUBWF	BASS_HAKEI_CNT,W		;x[Xg`e[uJEg
	BTFSS	STATUS,C
	GOTO	CM7_RHY1_2
	CLRF	BASS_HAKEI_CNT			;x[Xg`e[uJEg

	BTFSS	DD,0
	GOTO	CM7_RHY1_2

CM7_RHY1_3
	INCF	BASS_PITCH_CNT,F		;x[Xe[uJEg
	BCF	DD,0

	BTFSS	DD,1
	GOTO	CM7_RHY1_3_R
	GOTO	CM7_RHY1_3_S

CM7_RHY1_3_R
	MOVLW	D'8'		 		;<<<<<<<<f[^
	SUBWF	BASS_PITCH_CNT,W		;x[Xe[uJEg
	GOTO	CM7_RHY2

CM7_RHY1_3_S
	MOVLW	D'12'		 		;<<<<<<<<f[^
	SUBWF	BASS_PITCH_CNT,W		;x[Xe[uJEg SWING
	GOTO	CM7_RHY2

CM7_RHY2
	BTFSS	STATUS,C
	GOTO	CM7_MAIN	
	CLRF	BASS_PITCH_CNT			;x[Xe[uJEg

	CALL	CM7_TABLE_BASS_PITCH		;x[Xe[u	
	MOVWF	BASS_PITCH			;x[X

	RETURN	

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

A7_MAIN	
	MOVLW	B'00000001'   			;0=El߂ŃZbg,0=ddd, 00_, 00=AN0
	MOVWF	ADCON0				;0=`^cϊ(GO/^DONE), 1=`^cϊ@\͗L

	CALL	ZIKANKASEGI
	CALL	ZIKANKASEGI
	CALL	ZIKANKASEGI

A7_MAIN00
	BSF	ADCON0,GO			;0=`^cϊJn(GO)

A7_MAIN1
	BTFSC	ADCON0,GO
	GOTO	A7_MAIN1				;ϊ	
	GOTO	A7_MAIN2				;ϊ	

A7_MAIN2

	MOVF	ADRESH,W			
	MOVWF	MELO_PITCH_CNT			;MELO_PITCH_CNT֑	

	CALL 	A7_TABLE_MELO_PITCH		;fB
	MOVWF	MELO_PITCH			;fB

	GOTO	A7_RHY1_1
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

A7_RHY1

	BTFSS	DD,1
	GOTO	A7_RHY1_R
	GOTO	A7_RHY1_S

A7_RHY1_R
	CALL	A7_TABLE_BASS_PITCH		;x[Xe[u	
	MOVWF	BASS_PITCH			;x[X
	GOTO	A7_RHY1_1

A7_RHY1_S
	CALL	A7_TABLE_BASS_PITCH_S		;x[Xe[u SWING	
	MOVWF	BASS_PITCH			;x[X
	GOTO	A7_RHY1_1

A7_RHY1_1
	BTFSS	PIR1,TMR2IF			;PWMϊ
	GOTO	A7_RHY1_1				;
	BCF	PIR1,TMR2IF			;

	CALL	TABLE_MELO_HAKEI		;fBg`e[u
	MOVWF	CCPR1L				;PWM

	DECFSZ	MELO_PITCH,F			;fB
	GOTO	A7_RHY1_2

	CALL 	A7_TABLE_MELO_PITCH		;fBe[u	
	MOVWF	MELO_PITCH			;fB

	INCF	MELO_HAKEI_CNT,F		;fBg`e[uJEg

	MOVLW	D'5'				;<<<<<<<<f[^
	SUBWF	MELO_HAKEI_CNT,W		;fBg`e[uJEg

	BTFSS	STATUS,C
	GOTO	A7_RHY1_1
	CLRF	MELO_HAKEI_CNT			;fBg`e[uJEg

	GOTO	A7_RHY1_1

A7_RHY1_2

	BTFSS	PIR1,TMR2IF
	GOTO	A7_RHY1_2
	BCF	PIR1,TMR2IF

	CALL 	TABLE_BASS_HAKEI		;x[Xg`e[u
	MOVWF	CCPR1L	
	
	DECFSZ	BASS_PITCH,F			;x[X
	GOTO	A7_RHY1_1

	BTFSS	DD,1
	GOTO	A7_RHY1_2_R
	GOTO	A7_RHY1_2_S

A7_RHY1_2_R
	CALL	A7_TABLE_BASS_PITCH		;x[Xe[u	
	MOVWF	BASS_PITCH			;x[X
	GOTO	A7_RHY1_2_2

A7_RHY1_2_S
	CALL	A7_TABLE_BASS_PITCH_S		;x[Xe[u SWING	
	MOVWF	BASS_PITCH			;x[X
	GOTO	A7_RHY1_2_2

A7_RHY1_2_2

	INCF	BASS_HAKEI_CNT,F		;x[Xg`e[uJEg

	MOVLW	D'5'		;<<<<<<<<f[^
	SUBWF	BASS_HAKEI_CNT,W		;x[Xg`e[uJEg
	BTFSS	STATUS,C
	GOTO	A7_RHY1_2
	CLRF	BASS_HAKEI_CNT			;x[Xg`e[uJEg

	BTFSS	DD,0
	GOTO	A7_RHY1_2

A7_RHY1_3
	INCF	BASS_PITCH_CNT,F		;x[Xe[uJEg
	BCF	DD,0

	BTFSS	DD,1
	GOTO	A7_RHY1_3_R
	GOTO	A7_RHY1_3_S

A7_RHY1_3_R
	MOVLW	D'8'		 		;<<<<<<<<f[^
	SUBWF	BASS_PITCH_CNT,W		;x[Xe[uJEg
	GOTO	A7_RHY2

A7_RHY1_3_S
	MOVLW	D'12'		 		;<<<<<<<<f[^
	SUBWF	BASS_PITCH_CNT,W		;x[Xe[uJEg SWING
	GOTO	A7_RHY2

A7_RHY2
	BTFSS	STATUS,C
	GOTO	A7_MAIN	
	CLRF	BASS_PITCH_CNT			;x[Xe[uJEg

	CALL	A7_TABLE_BASS_PITCH		;x[Xe[u	
	MOVWF	BASS_PITCH			;x[X

	RETURN	

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

ZIKANKASEGI
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	RETURN

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	4C0H

TABLE_MELO_HAKEI				;fBg`e[u

	MOVLW	H'04'
	MOVWF	PCLATH

	MOVF	MELO_HAKEI_CNT,W		;fBg`e[uJEg
	ANDLW	B'11111111'
	ADDWF	PCL,F

	RETLW	D'0'
	RETLW	D'10'
	RETLW	D'14'
	RETLW	D'10'
	RETLW	D'0'

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	4D0H

TABLE_BASS_HAKEI				;x[Xg`e[u

	MOVLW	H'04'
	MOVWF	PCLATH

	MOVF	BASS_HAKEI_CNT,W		;x[Xg`e[uJEg
	ANDLW	B'11111111'
	ADDWF	PCL,F

	RETLW	D'0'
	RETLW	D'8'
	RETLW	D'12'
	RETLW	D'8'
	RETLW	D'0'

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	4E0H

C1_TABLE_BASS_PITCH_S				;x[Xe[u SWING

	MOVLW	H'04'
	MOVWF	PCLATH

	MOVF	BASS_PITCH_CNT,W		;x[Xe[uJEg
	ANDLW	B'11111111'
	ADDWF	PCL,F

	RETLW	DO
	RETLW	DO
	RETLW	SOL

	RETLW	MI
	RETLW	MI
	RETLW	MI

	RETLW	SO
	RETLW	SO
	RETLW	SO

	RETLW	RA
	RETLW	RA
	RETLW	RA

	RETLW	DO
	RETLW	MI
	RETLW	SO

	RETLW	MI
	RETLW	SO
	RETLW	DOH

	RETLW	DO
	RETLW	MI
	RETLW	SO

	RETLW	MI
	RETLW	SO
	RETLW	DOH

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	500H

C_TABLE_BASS_PITCH				;x[Xe[u

	MOVLW	H'05'
	MOVWF	PCLATH

	MOVF	BASS_PITCH_CNT,W		;x[Xe[uJEg
	ANDLW	B'11111111'
	ADDWF	PCL,F

	RETLW	DO
	RETLW	DO
	RETLW	MI
	RETLW	DO
	RETLW	SO
	RETLW	DO
	RETLW	RA
	RETLW	DO

	RETLW	RAS
	RETLW	DO
	RETLW	RA
	RETLW	DO
	RETLW	SO
	RETLW	DO
	RETLW	MI
	RETLW	SOL

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	520H

C_TABLE_MELO_PITCH				;fBe[u

	MOVLW	H'05'
	MOVWF	PCLATH

	MOVF	MELO_PITCH_CNT,W		;fBe[uJEg
	ANDLW	B'00001111'
	ADDWF	PCL,F

	RETLW	DOH
	RETLW	REH
	RETLW	RESH
	RETLW	MIH

	RETLW	SOH
	RETLW	RAH
	RETLW	RASH
	RETLW	DOHH

	RETLW	REHH
	RETLW	RESHH
	RETLW	MIHH
	RETLW	SOH

	RETLW	DOH
	RETLW	REH
	RETLW	RESH
	RETLW	MIH


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	540H

F_TABLE_BASS_PITCH				;x[Xe[u

	MOVLW	H'05'
	MOVWF	PCLATH

	MOVF	BASS_PITCH_CNT,W		;x[Xe[uJEg
	ANDLW	B'11111111'
	ADDWF	PCL,F

	RETLW	FA
	RETLW	FA
	RETLW	RA
	RETLW	FA
	RETLW	DO
	RETLW	FA
	RETLW	RE
	RETLW	FA

	RETLW	RE_S
	RETLW	FA
	RETLW	RE
	RETLW	FA
	RETLW	DO
	RETLW	FA
	RETLW	RA
	RETLW	FA

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	560H

F_TABLE_MELO_PITCH				;fBe[u

	MOVLW	H'05'
	MOVWF	PCLATH

	MOVF	MELO_PITCH_CNT,W		;fBe[uJEg
	ANDLW	B'00001111'
	ADDWF	PCL,F

	RETLW	DOH
	RETLW	REH
	RETLW	RESH
	RETLW	FAH

	RETLW	SOH
	RETLW	RAH
	RETLW	RASH
	RETLW	DOHH

	RETLW	RESH
	RETLW	FAH
	RETLW	REHH
	RETLW	RESHH

	RETLW	DOH
	RETLW	REH
	RETLW	SOH
	RETLW	RAH

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


	ORG	580H

G_TABLE_BASS_PITCH				;x[Xe[u

	MOVLW	H'05'
	MOVWF	PCLATH

	MOVF	BASS_PITCH_CNT,W		;x[Xe[uJEg
	ANDLW	B'11111111'
	ADDWF	PCL,F

	RETLW	SO
	RETLW	RE
	RETLW	SI
	RETLW	SO
	RETLW	RE
	RETLW	SO
	RETLW	FA
	RETLW	SO

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	5A0H

G_TABLE_MELO_PITCH				;fBe[u

	MOVLW	H'05'
	MOVWF	PCLATH

	MOVF	MELO_PITCH_CNT,W		;fBe[uJEg
	ANDLW	B'00001111'
	ADDWF	PCL,F

	RETLW	SI
	RETLW	REH
	RETLW	MIH
	RETLW	FAH

	RETLW	SOH
	RETLW	RAH
	RETLW	SIH
	RETLW	REHH

	RETLW	SI
	RETLW	REH
	RETLW	MIH
	RETLW	FAH

	RETLW	SOH
	RETLW	RAH
	RETLW	SIH
	RETLW	REHH

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	5C0H

F1_TABLE_BASS_PITCH				;x[Xe[u

	MOVLW	H'05'
	MOVWF	PCLATH

	MOVF	BASS_PITCH_CNT,W		;x[Xe[uJEg
	ANDLW	B'11111111'
	ADDWF	PCL,F

	RETLW	FA
	RETLW	FA
	RETLW	RA
	RETLW	FA
	RETLW	DO
	RETLW	FA
	RETLW	RE_S
	RETLW	FA

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	5E0H

C1_TABLE_BASS_PITCH				;x[Xe[u

	MOVLW	H'05'
	MOVWF	PCLATH

	MOVF	BASS_PITCH_CNT,W		;x[Xe[uJEg
	ANDLW	B'11111111'
	ADDWF	PCL,F

	RETLW	DO
	RETLW	DO
	RETLW	MI
	RETLW	DO
	RETLW	SO
	RETLW	DO
	RETLW	RA
	RETLW	DO

	RETLW	RAS
	RETLW	DO
	RETLW	DOH
	RETLW	DO
	RETLW	DOH
	RETLW	DO
	RETLW	DOH
	RETLW	SO

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	600H

C_TABLE_BASS_PITCH_S				;x[Xe[u SWING

	MOVLW	H'06'
	MOVWF	PCLATH

	MOVF	BASS_PITCH_CNT,W		;x[Xe[uJEg
	ANDLW	B'11111111'
	ADDWF	PCL,F

	RETLW	DO
	RETLW	DO
	RETLW	SOL

	RETLW	MI
	RETLW	MI
	RETLW	MI

	RETLW	SO
	RETLW	SO
	RETLW	SO

	RETLW	RA
	RETLW	RA
	RETLW	RA

	RETLW	RAS
	RETLW	RAS
	RETLW	DO

	RETLW	RA
	RETLW	RA
	RETLW	RA

	RETLW	SO
	RETLW	SO
	RETLW	SO

	RETLW	MI
	RETLW	MI
	RETLW	MI

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	620H

F_TABLE_BASS_PITCH_S				;x[Xe[u SWING

	MOVLW	H'06'
	MOVWF	PCLATH

	MOVF	BASS_PITCH_CNT,W		;x[Xe[uJEg
	ANDLW	B'11111111'
	ADDWF	PCL,F

	RETLW	FA
	RETLW	FA
	RETLW	DO

	RETLW	RA
	RETLW	RA
	RETLW	RA

	RETLW	DO
	RETLW	DO
	RETLW	DO

	RETLW	RE
	RETLW	RE
	RETLW	RE

	RETLW	RE_S
	RETLW	RE_S
	RETLW	FA

	RETLW	RE
	RETLW	RE
	RETLW	RE

	RETLW	DO
	RETLW	DO
	RETLW	DO

	RETLW	RA
	RETLW	RA
	RETLW	RA

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	640H

G_TABLE_BASS_PITCH_S				;x[Xe[u SWING
	MOVLW	H'06'
	MOVWF	PCLATH

	MOVF	BASS_PITCH_CNT,W		;x[Xe[uJEg
	ANDLW	B'11111111'
	ADDWF	PCL,F

	RETLW	SO
	RETLW	SO
	RETLW	RE

	RETLW	SIL
	RETLW	SIL
	RETLW	SIL

	RETLW	RE
	RETLW	RE
	RETLW	RE

	RETLW	SIL
	RETLW	SIL
	RETLW	SIL

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	660H

F1_TABLE_BASS_PITCH_S				;x[Xe[u SWING

	MOVLW	H'06'
	MOVWF	PCLATH

	MOVF	BASS_PITCH_CNT,W		;x[Xe[uJEg
	ANDLW	B'11111111'
	ADDWF	PCL,F

	RETLW	FA
	RETLW	FA
	RETLW	DO

	RETLW	RA
	RETLW	RA
	RETLW	RA

	RETLW	DO
	RETLW	DO
	RETLW	DO

	RETLW	RA
	RETLW	RA
	RETLW	RA

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


	ORG	680H

Dm_TABLE_BASS_PITCH_S				;x[Xe[u SWING

	MOVLW	H'06'
	MOVWF	PCLATH

	MOVF	BASS_PITCH_CNT,W		;x[Xe[uJEg
	ANDLW	B'11111111'
	ADDWF	PCL,F

	RETLW	RE
	RETLW	RE
	RETLW	RE

	RETLW	FA
	RETLW	FA
	RETLW	FA

	RETLW	RA
	RETLW	RA
	RETLW	RA

	RETLW	FA
	RETLW	FA
	RETLW	FA

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


	ORG	6A0H

Dm_TABLE_MELO_PITCH				;fBe[u

	MOVLW	H'06'
	MOVWF	PCLATH

	MOVF	MELO_PITCH_CNT,W		;fBe[uJEg
	ANDLW	B'00001111'
	ADDWF	PCL,F

	RETLW	DOH
	RETLW	REH
	RETLW	MIH
	RETLW	FAH

	RETLW	SOH
	RETLW	RAH
	RETLW	SIH
	RETLW	DOHH

	RETLW	REHH
	RETLW	MIHH
	RETLW	DOH
	RETLW	REH

	RETLW	MIH
	RETLW	FAH
	RETLW	SOH
	RETLW	RAH

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


	ORG	6C0H

G7_TABLE_BASS_PITCH_S				;x[Xe[u SWING

	MOVLW	H'06'
	MOVWF	PCLATH

	MOVF	BASS_PITCH_CNT,W		;x[Xe[uJEg
	ANDLW	B'11111111'
	ADDWF	PCL,F

	RETLW	SO
	RETLW	SO
	RETLW	SO

	RETLW	SI
	RETLW	SI
	RETLW	SI

	RETLW	RE
	RETLW	RE
	RETLW	RE

	RETLW	SO
	RETLW	SO
	RETLW	SO

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


	ORG	6E0H

G7_TABLE_MELO_PITCH				;fBe[u

	MOVLW	H'06'
	MOVWF	PCLATH

	MOVF	MELO_PITCH_CNT,W		;fBe[uJEg
	ANDLW	B'00001111'
	ADDWF	PCL,F

	RETLW	REH
	RETLW	FAH
	RETLW	SOH
	RETLW	RAH

	RETLW	SIH
	RETLW	REHH
	RETLW	REH
	RETLW	FAH

	RETLW	SOH
	RETLW	RAH
	RETLW	SIH
	RETLW	REHH

	RETLW	REH
	RETLW	FAH
	RETLW	SOH
	RETLW	RAH

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


	ORG	700H

CM7_TABLE_BASS_PITCH_S				;x[Xe[u SWING

	MOVLW	H'07'
	MOVWF	PCLATH

	MOVF	BASS_PITCH_CNT,W		;x[Xe[uJEg
	ANDLW	B'11111111'
	ADDWF	PCL,F

	RETLW	DO
	RETLW	DO
	RETLW	DO

	RETLW	MI
	RETLW	MI
	RETLW	MI

	RETLW	SO
	RETLW	SO
	RETLW	SO

	RETLW	MI
	RETLW	MI
	RETLW	MI

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


	ORG	720H

CM7_TABLE_MELO_PITCH				;fBe[u

	MOVLW	H'07'
	MOVWF	PCLATH

	MOVF	MELO_PITCH_CNT,W		;fBe[uJEg
	ANDLW	B'00001111'
	ADDWF	PCL,F

	RETLW	SI
	RETLW	REH
	RETLW	MIH
	RETLW	SOH

	RETLW	RAH
	RETLW	SIH
	RETLW	SI
	RETLW	REH

	RETLW	MIH
	RETLW	SOH
	RETLW	REHH
	RETLW	MIHH

	RETLW	RAH
	RETLW	SIH
	RETLW	REHH
	RETLW	MIHH

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


	ORG	740H

A7_TABLE_BASS_PITCH_S				;x[Xe[u SWING

	MOVLW	H'07'
	MOVWF	PCLATH

	MOVF	BASS_PITCH_CNT,W		;x[Xe[uJEg
	ANDLW	B'11111111'
	ADDWF	PCL,F

	RETLW	RA
	RETLW	RA
	RETLW	RA

	RETLW	MI
	RETLW	MI
	RETLW	MI

	RETLW	DOS
	RETLW	DOS
	RETLW	DOS

	RETLW	MI
	RETLW	MI
	RETLW	MI

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


	ORG	760H

A7_TABLE_MELO_PITCH				;fBe[u

	MOVLW	H'07'
	MOVWF	PCLATH

	MOVF	MELO_PITCH_CNT,W		;fBe[uJEg
	ANDLW	B'00001111'
	ADDWF	PCL,F

	RETLW	DOSH
	RETLW	REH
	RETLW	MIH
	RETLW	FAH

	RETLW	SOH
	RETLW	RAH
	RETLW	SIH
	RETLW	DOSHH

	RETLW	REHH
	RETLW	MIHH
	RETLW	DOSH
	RETLW	REH

	RETLW	MIH
	RETLW	FAH
	RETLW	SOH
	RETLW	RAH

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


	ORG	780H

Dm_TABLE_BASS_PITCH				;x[Xe[u

	MOVLW	H'07'
	MOVWF	PCLATH

	MOVF	BASS_PITCH_CNT,W		;x[Xe[uJEg
	ANDLW	B'11111111'
	ADDWF	PCL,F

	RETLW	RE
	RETLW	RE
	RETLW	FA
	RETLW	RE
	RETLW	RE
	RETLW	FA
	RETLW	RA
	RETLW	FA

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


	ORG	7A0H

G7_TABLE_BASS_PITCH				;x[Xe[u

	MOVLW	H'07'
	MOVWF	PCLATH

	MOVF	BASS_PITCH_CNT,W		;x[Xe[uJEg
	ANDLW	B'11111111'
	ADDWF	PCL,F

	RETLW	SO
	RETLW	SO
	RETLW	RE
	RETLW	SO
	RETLW	SO
	RETLW	SI
	RETLW	SO
	RETLW	RE

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


	ORG	7C0H

CM7_TABLE_BASS_PITCH				;x[Xe[u

	MOVLW	H'07'
	MOVWF	PCLATH

	MOVF	BASS_PITCH_CNT,W		;x[Xe[uJEg
	ANDLW	B'11111111'
	ADDWF	PCL,F

	RETLW	DO
	RETLW	DO
	RETLW	MI
	RETLW	DO
	RETLW	DO
	RETLW	MI
	RETLW	SO
	RETLW	MI

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


	ORG	7E0H

A7_TABLE_BASS_PITCH				;x[Xe[u

	MOVLW	H'07'
	MOVWF	PCLATH

	MOVF	BASS_PITCH_CNT,W		;x[Xe[uJEg
	ANDLW	B'11111111'
	ADDWF	PCL,F

	RETLW	RA
	RETLW	RA
	RETLW	MI
	RETLW	MI
	RETLW	DOS
	RETLW	DOS
	RETLW	MI
	RETLW	MI

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	END	













